diff --git a/doc/user_manual.md b/doc/user_manual.md
index 60b7ca92..120cfebd 100644
--- a/doc/user_manual.md
+++ b/doc/user_manual.md
@@ -432,6 +432,7 @@ In Isar, each machine can use its specific Linux distro to generate `buildchroot
  - debian-bullseye
  - debian-bookworm
  - ubuntu-focal
+ - ubuntu-jammy (requires host dpkg >= 1.21)
  - raspios-bullseye
 
 User can select appropriate distro for specific machine by setting the following variable in machine configuration file:
diff --git a/meta-isar/conf/distro/ubuntu-jammy-ports.list b/meta-isar/conf/distro/ubuntu-jammy-ports.list
new file mode 100644
index 00000000..8aa8f73a
--- /dev/null
+++ b/meta-isar/conf/distro/ubuntu-jammy-ports.list
@@ -0,0 +1,6 @@
+deb	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy main restricted universe multiverse
+deb-src	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy main restricted universe multiverse
+deb	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy-updates main restricted universe multiverse
+deb-src	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy-updates main restricted universe multiverse
+deb	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy-security main restricted universe multiverse
+deb-src	[arch=armhf,arm64] http://ports.ubuntu.com/ubuntu-ports jammy-security main restricted universe multiverse
diff --git a/meta-isar/conf/distro/ubuntu-jammy.conf b/meta-isar/conf/distro/ubuntu-jammy.conf
new file mode 100644
index 00000000..ce6ae511
--- /dev/null
+++ b/meta-isar/conf/distro/ubuntu-jammy.conf
@@ -0,0 +1,10 @@
+#
+# Copyright (c) Siemens AG, 2018-2020
+#
+# SPDX-License-Identifier: MIT
+
+require conf/distro/ubuntu-common.inc
+
+BASE_DISTRO_CODENAME = "jammy"
+
+DISTRO_GCC = "11"
diff --git a/meta-isar/conf/distro/ubuntu-jammy.list b/meta-isar/conf/distro/ubuntu-jammy.list
new file mode 100644
index 00000000..ba5a04b5
--- /dev/null
+++ b/meta-isar/conf/distro/ubuntu-jammy.list
@@ -0,0 +1,6 @@
+deb	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy main restricted universe multiverse
+deb-src	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy main restricted universe multiverse
+deb	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy-updates main restricted universe multiverse
+deb-src	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy-updates main restricted universe multiverse
+deb	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy-security main restricted universe multiverse
+deb-src	[arch=amd64,i386] http://archive.ubuntu.com/ubuntu jammy-security main restricted universe multiverse
diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
index 7e0184e4..090ac288 100644
--- a/meta-isar/conf/local.conf.sample
+++ b/meta-isar/conf/local.conf.sample
@@ -78,7 +78,9 @@ BBMULTICONFIG = " \
     rpi-arm64-v8-bullseye \
     sifive-fu540-sid-ports \
     qemuarm64-focal \
+    qemuarm64-jammy \
     qemuamd64-focal \
+    qemuamd64-jammy \
 "
 
 #
diff --git a/meta-isar/conf/machine/qemuamd64.conf b/meta-isar/conf/machine/qemuamd64.conf
index 0c768258..11842ec4 100644
--- a/meta-isar/conf/machine/qemuamd64.conf
+++ b/meta-isar/conf/machine/qemuamd64.conf
@@ -5,13 +5,16 @@ DISTRO_ARCH ?= "amd64"
 
 KERNEL_NAME ?= "amd64"
 KERNEL_NAME:ubuntu-focal ?= "generic"
+KERNEL_NAME:ubuntu-jammy ?= "generic"
 
 IMAGE_FSTYPES ?= "wic"
 WKS_FILE ?= "sdimage-efi"
 IMAGER_INSTALL += "${GRUB_BOOTLOADER_INSTALL}"
 
 WKS_FILE:ubuntu-focal ?= "sdimage-efi-sd"
+WKS_FILE:ubuntu-jammy ?= "sdimage-efi-sd"
 IMAGER_INSTALL:remove:ubuntu-focal = "${GRUB_BOOTLOADER_INSTALL}"
+IMAGER_INSTALL:remove:ubuntu-jammy = "${GRUB_BOOTLOADER_INSTALL}"
 
 WKS_FILE:debian-bullseye ?= "sdimage-efi-btrfs"
 IMAGER_INSTALL:remove:debian-bullseye = "${GRUB_BOOTLOADER_INSTALL}"
diff --git a/meta-isar/conf/machine/qemuarm64.conf b/meta-isar/conf/machine/qemuarm64.conf
index 718e20f1..f3b379c8 100644
--- a/meta-isar/conf/machine/qemuarm64.conf
+++ b/meta-isar/conf/machine/qemuarm64.conf
@@ -5,6 +5,7 @@ DISTRO_ARCH ?= "arm64"
 
 KERNEL_NAME ?= "arm64"
 KERNEL_NAME:ubuntu-focal ?= "generic"
+KERNEL_NAME:ubuntu-jammy ?= "generic"
 
 IMAGE_FSTYPES ?= "ext4"
 
diff --git a/meta-isar/conf/multiconfig/qemuamd64-jammy.conf b/meta-isar/conf/multiconfig/qemuamd64-jammy.conf
new file mode 100644
index 00000000..7dd395c2
--- /dev/null
+++ b/meta-isar/conf/multiconfig/qemuamd64-jammy.conf
@@ -0,0 +1,9 @@
+#
+# Copyright (c) Siemens AG, 2018-2022
+#
+# SPDX-License-Identifier: MIT
+
+MACHINE ?= "qemuamd64"
+DISTRO ?= "ubuntu-jammy"
+
+IMAGER_INSTALL += "${SYSTEMD_BOOTLOADER_INSTALL}"
diff --git a/meta-isar/conf/multiconfig/qemuarm64-jammy.conf b/meta-isar/conf/multiconfig/qemuarm64-jammy.conf
new file mode 100644
index 00000000..be31426d
--- /dev/null
+++ b/meta-isar/conf/multiconfig/qemuarm64-jammy.conf
@@ -0,0 +1,7 @@
+#
+# Copyright (c) Siemens AG, 2018-2020
+#
+# SPDX-License-Identifier: MIT
+
+MACHINE ?= "qemuarm64"
+DISTRO ?= "ubuntu-jammy"