diff --git a/doc/user_manual.md b/doc/user_manual.md
index 22d39073..3b4f4ae6 100644
--- a/doc/user_manual.md
+++ b/doc/user_manual.md
@@ -53,10 +53,10 @@ Isar provides:
 For demonstration purposes, Isar provides support for the following
 configurations:
 
- - QEMU ARM with Debian Buster
- - QEMU ARM64 with Debian Buster (for host >= buster)
- - QEMU i386 with Debian Buster
- - QEMU amd64 with Debian Buster
+ - QEMU ARM with Debian Bookworm
+ - QEMU ARM64 with Debian Bookworm
+ - QEMU i386 with Debian Bookworm
+ - QEMU amd64 with Debian Bookworm
  - Raspberry Pi various models with Raspberry OS Bullseye
  - Banana Pi BPI-M1
  - LeMaker HiKey
@@ -66,7 +66,7 @@ The steps below describe how to build the images provided by default.
 
 ### Install Host Tools
 
-The supported host system is >= buster.
+The supported host system is >= Bullseye.
 
 Building `debian-trixie` requires host system >= bookworm.
 
@@ -80,6 +80,7 @@ apt install \
   gettext-base \
   git \
   python3 \
+  python3-distutils \
   quilt \
   qemu-user-static \
   reprepro \
@@ -93,28 +94,16 @@ apt install \
   zstd
 ```
 
-If your host is >= buster, also install the following package.
-```
-apt install python3-distutils
-```
-
-**NOTE:** sbuild version (<=0.78.1) packaged in Debian Buster doesn't support
-`$apt_keep_downloaded_packages` option which is required in Isar for
-populating `${DL_DIR}/deb`. So, host `sbuild` in this case should be manually
-upgraded to >=0.81.2 version from Debian Bullseye.
-
 Next, the user who should run Isar needs to be added to `sbuild` group.
 ```
 sudo gpasswd -a <username> sbuild
 ```
 
 If you want to generate containerized SDKs, also install the following 
-packages: `umoci` and `skopeo`.
-Umoci is provided by Debian Buster and can be installed with 
-`apt install umoci`, Skopeo is provided by Debian Bullseye/Unstable and has to 
-be installed either manually downloading the DEB and installing it (no other 
-packages required) or with `apt install -t bullseye skopeo` (if 
-unstable/bullseye included in `/etc/apt/sources.list[.d]`).
+packages:
+```
+apt install umoci skopeo
+```
 
 Notes:
 
@@ -128,11 +117,6 @@ Notes:
   handled by QEMU (check e.g. `qemu-arm` in `/usr/sbin/update-binfmts
   --display`).
 
-To run images built for QEMU, you also need to install the related package:
-```
-apt install qemu
-```
-
 ### Setup Sudo
 
 Isar requires `sudo` rights without password to work with `chroot` and `debootstrap`. To add them, use the following steps:
@@ -171,22 +155,22 @@ e.g.:
 
 ```
 MACHINE ??= "qemuarm"
-DISTRO ??= "debian-buster"
+DISTRO ??= "debian-bookworm"
 DISTRO_ARCH ??= "armhf"
 ```
 
 Then, call `bitbake` with image names, e.g.:
 
 ```
-bitbake mc:qemuarm-buster:isar-image-base \
-        mc:qemuarm-buster:isar-image-debug
+bitbake mc:qemuarm-bookworm:isar-image-base \
+        mc:qemuarm-bookworm:isar-image-debug
 ```
 
 The following images are created:
 
 ```
-tmp/deploy/images/qemuarm/isar-image-base-qemuarm-debian-buster.ext4
-tmp/deploy/images/qemuarm/isar-image-debug-qemuarm-debian-buster.ext4
+tmp/deploy/images/qemuarm/isar-image-base-debian-bookworm-qemuarm.ext4
+tmp/deploy/images/qemuarm/isar-image-debug-debian-bookworm-qemuarm.ext4
 ```
 
 ### Building Target Images for Multiple Configurations
@@ -196,10 +180,10 @@ a single call. List all configurations in `conf/local.conf`:
 
 ```
 BBMULTICONFIG = " \
-    qemuarm-buster \
-    qemuarm64-buster \
-    qemui386-buster \
-    qemuamd64-buster \
+    qemuarm-bookworm \
+    qemuarm64-bookworm \
+    qemui386-bookworm \
+    qemuamd64-bookworm \
 "
 ```
 
@@ -207,19 +191,19 @@ The following command will produce `isar-image-base` images for all targets:
 
 ```
 $ bitbake \
-    mc:qemuarm-buster:isar-image-base \
-    mc:qemuarm64-buster:isar-image-base \
-    mc:qemui386-buster:isar-image-base \
-    mc:qemuamd64-buster:isar-image-base \
+    mc:qemuarm-bookworm:isar-image-base \
+    mc:qemuarm64-bookworm:isar-image-base \
+    mc:qemui386-bookworm:isar-image-base \
+    mc:qemuamd64-bookworm:isar-image-base \
 ```
 
 Created images are:
 
 ```
-tmp/deploy/images/qemuarm/isar-image-base-debian-buster-qemuarm.ext4
-tmp/deploy/images/qemuarm64/isar-image-base-debian-buster-qemuarm64.ext4
-tmp/deploy/images/qemui386/isar-image-base-debian-buster-qemui386.wic
-tmp/deploy/images/qemuamd64/isar-image-base-debian-buster-qemuamd64.wic
+tmp/deploy/images/qemuarm/isar-image-base-debian-bookworm-qemuarm.ext4
+tmp/deploy/images/qemuarm64/isar-image-base-debian-bookworm-qemuarm64.ext4
+tmp/deploy/images/qemui386/isar-image-base-debian-bookworm-qemui386.wic
+tmp/deploy/images/qemuamd64/isar-image-base-debian-bookworm-qemuamd64.wic
 ```
 
 ### Generate full disk image
@@ -230,9 +214,9 @@ It is controlled by a `.wks` file which you can choose with changing WKS_FILE.
 Some examples in the tree use that feature already.
 ```
  # Generate an image for the `i386` target architecture
- $ bitbake mc:qemui386-buster:isar-image-base
+ $ bitbake mc:qemui386-bookworm:isar-image-base
  # Similarly, for the `amd64` target architecture, in this case EFI
- $ bitbake mc:qemuamd64-buster:isar-image-base
+ $ bitbake mc:qemuamd64-bookworm:isar-image-base
 ```
 
 Variables may be used in `.wks.in` files; Isar will expand them and generate a regular `.wks` file before generating the disk image using `wic`.
@@ -240,14 +224,11 @@ Variables may be used in `.wks.in` files; Isar will expand them and generate a r
 In order to run the EFI images with `qemu`, an EFI firmware is required and available at the following address:
 https://github.com/tianocore/edk2/tree/3858b4a1ff09d3243fea8d07bd135478237cb8f7
 
-Note that the `ovmf` package in Debian Buster contains a pre-compiled firmware, but doesn't seem to be recent
-enough to allow images to be testable under `qemu`.
-
 ```
 # AMD64 image, EFI
-qemu-system-x86_64 -m 256M -nographic -bios edk2/Build/OvmfX64/RELEASE_*/FV/OVMF.fd -hda tmp/deploy/images/qemuamd64/isar-image-base-debian-buster-qemuamd64.wic
+qemu-system-x86_64 -m 256M -nographic -bios edk2/Build/OvmfX64/RELEASE_*/FV/OVMF.fd -hda tmp/deploy/images/qemuamd64/isar-image-base-debian-bookworm-qemuamd64.wic
 # i386 image
-qemu-system-i386 -m 256M -nographic -hda tmp/deploy/images/qemui386/isar-image-base-debian-buster-qemui386.wic
+qemu-system-i386 -m 256M -nographic -hda tmp/deploy/images/qemui386/isar-image-base-debian-bookworm-qemui386.wic
 ```
 
 #### Flashing such images to a physical device
@@ -305,20 +286,20 @@ export IMAGE_FSTYPES="docker-archive.xz"
  - Trigger creation of container image from root filesystem
 
 ```
-bitbake mc:qemuarm-buster:isar-image-base
+bitbake mc:qemuarm-bookworm:isar-image-base
 ```
 
  - Load the container image into the Docker Daemon
 
 ```
-docker load -i build/tmp/deploy/images/qemuarm/isar-image-base-debian-buster-armhf-1.0-r0.docker-archive.xz
+docker load -i build/tmp/deploy/images/qemuarm/isar-image-base-debian-bookworm-armhf.docker-archive.xz
 ```
 
  - Run a container using the container image (following commands starting with 
    `#~:` are to be run in the container)
 
 ```
-docker run --rm -ti --volume "$(pwd):/build" isar-image-base-debian-buster-armhf:1.0-r0
+docker run --rm -ti --volume "$(pwd):/build" isar-image-base-debian-bookworm-armhf:1.0-r0
 ```
 
 ---
@@ -414,7 +395,7 @@ following variables define the default configuration to build for:
  - `DISTRO_ARCH` - The Debian architecture to build for (e.g., `armhf`).
 
 If BitBake is called with multiconfig targets (e.g.,
-`mc:qemuarm-buster:isar-image-base`), the following variable defines
+`mc:qemuarm-bookworm:isar-image-base`), the following variable defines
 all supported configurations:
 
  - `BBMULTICONFIG` - The list of the complete configuration definition files.
@@ -449,7 +430,6 @@ In Isar, each machine can use its specific Linux distro to generate `schroot`
 and target filesystem. By default, Isar provides configuration files for the
 following distros:
 
- - debian-buster
  - debian-bullseye
  - debian-bookworm
  - debian-trixie (host >= bookworm)
@@ -494,10 +474,10 @@ Available conversions are `gz` and `xz`, which both provide image compression.
 There are several image types can be listed in `IMAGE_FSTYPES` divided by space.
 
 Instead of setting multiple image types in one target, user can also use
-[multiconfig](#building-target-images-for-multiple-configurations) feature and specify
-different image types in different multiconfigs (use qemuamd64-buster-cpiogz.conf
-and qemuamd64-buster-tgz.conf as examples). The only requirement is that image types
-from different multiconfigs for the same machine/distros should not overlap.
+[multiconfig](#building-target-images-for-multiple-configurations) feature and
+specify different image types in different multiconfigs. The only requirement
+is that image types from different multiconfigs for the same machine/distros
+should not overlap.
 
 ---
 
@@ -810,7 +790,7 @@ SRC_URI="apt://hello=2.10"
 ```
 inherit dpkg
 
-SRC_URI="apt://hello/buster"
+SRC_URI="apt://hello/bookworm"
 ```
  - You can also ignore the ${PV} or distribution name and let apt resolve the version at build time.
 
@@ -1013,9 +993,6 @@ put into Isar apt.
 
 Debian cross-compilation works out of the box. Currently the following build configurations are supported in Isar:
 
- - buster armhf
- - buster arm64 (for host >= buster)
- - buster mipsel (for host >= buster)
  - bullseye armhf
  - bullseye arm64
  - bullseye mipsel
@@ -1406,7 +1383,7 @@ BASE_REPO_KEY = "file://<absolute_path_to_your_pub_key_file>"'
  - Trigger the download and caching of all required files by doing a warm-up build.
 
 ```
-bitbake mc:qemuarm-buster:isar-image-base
+bitbake mc:qemuarm-bookworm:isar-image-base
 ```
 
  - Set `ISAR_USE_CACHED_BASE_REPO` in `conf/local.conf`:
@@ -1426,7 +1403,7 @@ sudo rm -rf tmp
  - Trigger the generation of your image again (now a local repo will be created out of the download cache from the last run):
 
 ```
-bitbake mc:qemuarm-buster:isar-image-base
+bitbake mc:qemuarm-bookworm:isar-image-base
 ```
 
 ## Add foreign packages from other repositories to the generated image
@@ -1443,10 +1420,10 @@ Add a new sources list entry to fetch the package from, i.e. include a new apt s
 
 Add docker-ce from arm64:
 
-Create a new layer containing `conf/distro/docker-buster.list` with the following content:
+Create a new layer containing `conf/distro/docker-bookworm.list` with the following content:
 
 ```
-deb [arch=arm64] https://download.docker.com/linux/debian	buster	stable
+deb [arch=arm64] https://download.docker.com/linux/debian	bookworm	stable
 ```
 
 Include the layer in your project.
@@ -1456,13 +1433,13 @@ To the local.conf add:
 ```
 IMAGE_PREINSTALL += "docker-ce"
 THIRD_PARTY_APT_KEYS:append = " https://download.docker.com/linux/debian/gpg;md5sum=1afae06b34a13c1b3d9cb61a26285a15"
-DISTRO_APT_SOURCES:append = " conf/distro/docker-buster.list"
+DISTRO_APT_SOURCES:append = " conf/distro/docker-bookworm.list"
 ```
 
 And build the corresponding image target:
 
 ```
-bitbake mc:qemuarm64-buster:isar-image-base
+bitbake mc:qemuarm64-bookworm:isar-image-base
 ```
 ## Cache all upstream Debian source packages in local apt
 
diff --git a/kas/distro/Kconfig b/kas/distro/Kconfig
index 28898621..9a8517d1 100644
--- a/kas/distro/Kconfig
+++ b/kas/distro/Kconfig
@@ -10,9 +10,6 @@ choice
 	prompt "Distro selection"
 	default DEBIAN_BOOKWORM
 
-config DEBIAN_BUSTER
-	bool "Debian 10 (buster)"
-
 config DEBIAN_BULLSEYE
 	bool "Debian 11 (bullseye)"
 
@@ -41,7 +38,6 @@ endchoice
 
 config KAS_INCLUDE_DISTRO
 	string
-	default "kas/distro/debian-buster.yaml" if DEBIAN_BUSTER
 	default "kas/distro/debian-bullseye.yaml" if DEBIAN_BULLSEYE
 	default "kas/distro/debian-bookworm.yaml" if DEBIAN_BOOKWORM
 	default "kas/distro/debian-trixie.yaml" if DEBIAN_TRIXIE
diff --git a/kas/distro/debian-buster.yaml b/kas/distro/debian-buster.yaml
deleted file mode 100644
index 82949a8f..00000000
--- a/kas/distro/debian-buster.yaml
+++ /dev/null
@@ -1,7 +0,0 @@
-# This software is a part of ISAR.
-# Copyright (C) 2023 ilbers GmbH
-
-header:
-  version: 14
-
-distro: debian-buster
diff --git a/meta-isar/classes/installer-add-rootfs.bbclass b/meta-isar/classes/installer-add-rootfs.bbclass
index c738f690..58a87960 100644
--- a/meta-isar/classes/installer-add-rootfs.bbclass
+++ b/meta-isar/classes/installer-add-rootfs.bbclass
@@ -16,7 +16,6 @@ INSTALLER_TARGET_DEPLOY_DIR_IMAGE ??= "${DEPLOY_DIR}/images/${INSTALLER_TARGET_M
 
 IMAGE_DATA_FILE ??= "${INSTALLER_TARGET_IMAGE}-${INSTALLER_TARGET_DISTRO}-${INSTALLER_TARGET_MACHINE}"
 IMAGE_DATA_POSTFIX ??= "wic.zst"
-IMAGE_DATA_POSTFIX:buster ??= "wic.xz"
 IMAGE_DATA_POSTFIX:bullseye ??= "wic.xz"
 
 ROOTFS_ADDITIONAL_FILES ??= "installer-target installer-target-bmap"
diff --git a/meta-isar/conf/machine/qemuarm.conf b/meta-isar/conf/machine/qemuarm.conf
index b70d6af0..b564e07e 100644
--- a/meta-isar/conf/machine/qemuarm.conf
+++ b/meta-isar/conf/machine/qemuarm.conf
@@ -5,7 +5,7 @@ DISTRO_ARCH ?= "armhf"
 
 KERNEL_NAME ?= "armmp"
 
-IMAGE_FSTYPES ?= "ext4"
+IMAGE_FSTYPES ?= "ext4 docker-archive.xz"
 ROOTFS_EXTRA ?= "128"
 
 QEMU_ROOTFS_DEV ?= "vda"
diff --git a/meta-isar/conf/mc.conf b/meta-isar/conf/mc.conf
index 7fd638d3..95f1e144 100644
--- a/meta-isar/conf/mc.conf
+++ b/meta-isar/conf/mc.conf
@@ -6,42 +6,33 @@
 #
 # This sets the default multiple configurations used:
 BBMULTICONFIG = " \
-    qemuarm-buster \
     qemuarm-bullseye \
     qemuarm-bookworm \
     qemuarm-trixie \
-    qemuarm64-buster \
     qemuarm64-bullseye \
     qemuarm64-bookworm \
     qemuarm64-trixie \
-    qemui386-buster \
     qemui386-bullseye \
     qemui386-bookworm \
-    qemuamd64-buster \
     qemuamd64-bullseye \
     qemuamd64-sb-bullseye \
     qemuamd64-bookworm \
     qemuamd64-trixie \
-    container-amd64-buster \
     container-amd64-bullseye \
     container-amd64-bookworm \
     qemumipsel-bullseye \
     qemumipsel-bookworm \
     qemuriscv64-sid \
-    bananapi-buster \
     bananapi-bullseye \
     bananapi-bookworm \
     beagleplay-bookworm \
-    de0-nano-soc-buster \
     de0-nano-soc-bullseye \
     de0-nano-soc-bookworm \
     hikey-bullseye \
     hikey-bookworm \
-    imx6-sabrelite-buster \
     imx6-sabrelite-bullseye \
     phyboard-mira-bullseye \
     phyboard-mira-bookworm \
-    nanopi-neo-buster \
     nanopi-neo-bullseye \
     nanopi-neo-bookworm \
     nanopi-neo-efi-bookworm \
diff --git a/meta-isar/conf/multiconfig/bananapi-buster.conf b/meta-isar/conf/multiconfig/bananapi-buster.conf
deleted file mode 100644
index 8130e72c..00000000
--- a/meta-isar/conf/multiconfig/bananapi-buster.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-# This software is a part of ISAR.
-# Copyright (c) Siemens AG, 2018
-#
-# SPDX-License-Identifier: MIT
-
-MACHINE ?= "bananapi"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/container-amd64-buster.conf b/meta-isar/conf/multiconfig/container-amd64-buster.conf
deleted file mode 100644
index 95027f82..00000000
--- a/meta-isar/conf/multiconfig/container-amd64-buster.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-#
-# Copyright (c) Siemens AG, 2021
-#
-# SPDX-License-Identifier: MIT
-
-MACHINE ?= "container-amd64"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/de0-nano-soc-buster.conf b/meta-isar/conf/multiconfig/de0-nano-soc-buster.conf
deleted file mode 100644
index dd16568c..00000000
--- a/meta-isar/conf/multiconfig/de0-nano-soc-buster.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-#
-# Copyright (c) Siemens AG, 2018-2020
-#
-# SPDX-License-Identifier: MIT
-
-MACHINE ?= "de0-nano-soc"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/imx6-sabrelite-buster.conf b/meta-isar/conf/multiconfig/imx6-sabrelite-buster.conf
deleted file mode 100644
index 262a6615..00000000
--- a/meta-isar/conf/multiconfig/imx6-sabrelite-buster.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-# This software is a part of ISAR.
-# Copyright (C) Siemens AG, 2019
-#
-# SPDX-License-Identifier: MIT
-
-MACHINE ?= "imx6-sabrelite"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/installer-target.conf b/meta-isar/conf/multiconfig/installer-target.conf
index 3b53b58f..fc2e31f7 100644
--- a/meta-isar/conf/multiconfig/installer-target.conf
+++ b/meta-isar/conf/multiconfig/installer-target.conf
@@ -4,7 +4,6 @@
 # SPDX-License-Identifier: MIT
 
 TARGET_IMAGE_FSTYPE = "wic.zst"
-TARGET_IMAGE_FSTYPE:buster = "wic.xz"
 TARGET_IMAGE_FSTYPE:bullseye = "wic.xz"
 
 IMAGE_FSTYPES += "${TARGET_IMAGE_FSTYPE}"
diff --git a/meta-isar/conf/multiconfig/nanopi-neo-buster.conf b/meta-isar/conf/multiconfig/nanopi-neo-buster.conf
deleted file mode 100644
index 34a440d4..00000000
--- a/meta-isar/conf/multiconfig/nanopi-neo-buster.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-# This software is a part of ISAR.
-# Copyright (c) Mentor, a Siemens business, 2020
-#
-# SPDX-License-Identifier: MIT
-
-MACHINE ?= "nanopi-neo"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/qemuamd64-buster.conf b/meta-isar/conf/multiconfig/qemuamd64-buster.conf
deleted file mode 100644
index 3fabd675..00000000
--- a/meta-isar/conf/multiconfig/qemuamd64-buster.conf
+++ /dev/null
@@ -1,4 +0,0 @@
-# This software is a part of ISAR.
-
-MACHINE ?= "qemuamd64"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/qemuarm-buster.conf b/meta-isar/conf/multiconfig/qemuarm-buster.conf
deleted file mode 100644
index 96904388..00000000
--- a/meta-isar/conf/multiconfig/qemuarm-buster.conf
+++ /dev/null
@@ -1,4 +0,0 @@
-# This software is a part of ISAR.
-
-MACHINE ?= "qemuarm"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/qemuarm64-buster.conf b/meta-isar/conf/multiconfig/qemuarm64-buster.conf
deleted file mode 100644
index 60c370ba..00000000
--- a/meta-isar/conf/multiconfig/qemuarm64-buster.conf
+++ /dev/null
@@ -1,6 +0,0 @@
-# This software is a part of ISAR.
-# Copyright (C) 2017 ilbers GmbH
-# Copyright (c) Siemens AG, 2018
-
-MACHINE ?= "qemuarm64"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/conf/multiconfig/qemui386-buster.conf b/meta-isar/conf/multiconfig/qemui386-buster.conf
deleted file mode 100644
index d9350c04..00000000
--- a/meta-isar/conf/multiconfig/qemui386-buster.conf
+++ /dev/null
@@ -1,4 +0,0 @@
-# This software is a part of ISAR.
-
-MACHINE ?= "qemui386"
-DISTRO ?= "debian-buster"
diff --git a/meta-isar/recipes-app/hello/hello.bb b/meta-isar/recipes-app/hello/hello.bb
index 6efb50de..a916b349 100644
--- a/meta-isar/recipes-app/hello/hello.bb
+++ b/meta-isar/recipes-app/hello/hello.bb
@@ -9,7 +9,7 @@ inherit dpkg
 # Note that you can also choose a version but have to pick the exact one
 # i.e. "apt://hello=2.10-2".
 # You may also select the desired release in case multiples are configured and
-# you do want to pin the version: "apt://hello/buster".
+# you do want to pin the version: "apt://hello/bookworm".
 SRC_URI = "apt://${PN}"
 
 MAINTAINER = "isar-users <isar-users@googlegroups.com>"
diff --git a/meta-test/recipes-core/images/isar-image-ci.bb b/meta-test/recipes-core/images/isar-image-ci.bb
index e5d51e6e..500dc4cd 100644
--- a/meta-test/recipes-core/images/isar-image-ci.bb
+++ b/meta-test/recipes-core/images/isar-image-ci.bb
@@ -27,11 +27,6 @@ IMAGE_PREINSTALL:append:qemuamd64:debian-bullseye ?= " btrfs-progs"
 # Explicitly remove from wic since it is set in qemuamd64.conf:
 IMAGER_INSTALL:wic:remove:qemuamd64:debian-bullseye ?= "${GRUB_BOOTLOADER_INSTALL}"
 
-# qemuamd64-buster
-IMAGE_FSTYPES:qemuamd64:debian-buster ?= "wic ext4"
-WKS_FILE:qemuamd64:debian-buster ?= "efi-plus-pcbios"
-IMAGER_INSTALL:append:qemuamd64:debian-buster ?= " ${SYSLINUX_BOOTLOADER_INSTALL}"
-
 # qemuamd64-focal
 WKS_FILE:qemuamd64:ubuntu-focal ?= "sdimage-efi-sd"
 IMAGER_INSTALL:remove:qemuamd64:ubuntu-focal ?= "${GRUB_BOOTLOADER_INSTALL}"
diff --git a/meta/conf/distro/debian-buster.conf b/meta/conf/distro/debian-buster.conf
deleted file mode 100644
index 57cfac33..00000000
--- a/meta/conf/distro/debian-buster.conf
+++ /dev/null
@@ -1,16 +0,0 @@
-# This software is a part of ISAR.
-
-require debian-common.conf
-
-BASE_DISTRO_CODENAME = "buster"
-
-HOST_DISTRO ?= "debian-buster"
-
-DISTRO_CONFIG_SCRIPT ?= "debian-configscript.sh"
-DISTRO_KERNELS ?= "4kc-malta 5kc-malta 686 686-pae amd64 arm64 armmp \
-    armmp-lpae cloud-amd64 loongson-3 marvell octeon powerpc64le rpi s390x \
-    rt-686-pae rt-amd64 rt-arm64 rt-armmp"
-
-DISTRO_GCC = "8"
-
-DEBIAN_COMPAT = "12"
diff --git a/meta/conf/distro/debian-buster.list b/meta/conf/distro/debian-buster.list
deleted file mode 100644
index ba496494..00000000
--- a/meta/conf/distro/debian-buster.list
+++ /dev/null
@@ -1,8 +0,0 @@
-deb	http://deb.debian.org/debian buster main contrib non-free
-deb-src	http://deb.debian.org/debian buster main contrib non-free
-
-deb	http://deb.debian.org/debian-security/ buster/updates main contrib non-free
-deb-src	http://deb.debian.org/debian-security/ buster/updates main contrib non-free
-
-deb	http://deb.debian.org/debian buster-updates main contrib non-free
-deb-src	http://deb.debian.org/debian buster-updates main contrib non-free
diff --git a/meta/conf/distro/debian-common.conf b/meta/conf/distro/debian-common.conf
index d8556964..ab911f80 100644
--- a/meta/conf/distro/debian-common.conf
+++ b/meta/conf/distro/debian-common.conf
@@ -35,7 +35,6 @@ SYSLINUX_BOOTLOADER_INSTALL = "syslinux syslinux-common"
 
 SYSTEMD_BOOTLOADER_INSTALL = "systemd-boot-efi:${DISTRO_ARCH}"
 SYSTEMD_BOOTLOADER_INSTALL:bullseye = "systemd:${DISTRO_ARCH}"
-SYSTEMD_BOOTLOADER_INSTALL:buster = "systemd:${DISTRO_ARCH}"
 
 COMPAT_DISTRO_ARCH:amd64 = "i386"
 COMPAT_DISTRO_ARCH:arm64 = "armhf"
diff --git a/meta/recipes-kernel/kselftest/kselftest.inc b/meta/recipes-kernel/kselftest/kselftest.inc
index 95dece10..1d38f9ec 100644
--- a/meta/recipes-kernel/kselftest/kselftest.inc
+++ b/meta/recipes-kernel/kselftest/kselftest.inc
@@ -20,7 +20,7 @@ DEBIAN_BUILD_DEPENDS ?= " \
     rsync, \
     flex,  \
     bison, \
-    ${@ 'fuse' if d.getVar('BASE_DISTRO_CODENAME') in ['bullseye', 'buster'] else 'fuse3'}, \
+    ${@ 'fuse' if d.getVar('BASE_DISTRO_CODENAME') in ['bullseye'] else 'fuse3'}, \
     libelf-dev:native, \
     libcap-ng-dev:native, \
     libpopt-dev:native, \
diff --git a/meta/recipes-kernel/linux/linux-custom.inc b/meta/recipes-kernel/linux/linux-custom.inc
index 6aa70fd3..daaa2f90 100644
--- a/meta/recipes-kernel/linux/linux-custom.inc
+++ b/meta/recipes-kernel/linux/linux-custom.inc
@@ -33,7 +33,6 @@ KERNEL_DEBIAN_DEPENDS ?= "initramfs-tools | linux-initramfs-tool, \
                           linux-base (>= 4.3~),"
 
 LIBSSL_DEP = "libssl3"
-LIBSSL_DEP:buster = "libssl1.1"
 LIBSSL_DEP:bullseye = "libssl1.1"
 
 KERNEL_HEADERS_DEBIAN_DEPENDS ?= "libc6, \
diff --git a/scripts/lib/wic/plugins/imager/direct.py b/scripts/lib/wic/plugins/imager/direct.py
index a65ae36a..6a53c163 100644
--- a/scripts/lib/wic/plugins/imager/direct.py
+++ b/scripts/lib/wic/plugins/imager/direct.py
@@ -544,7 +544,7 @@ class PartitionedImage():
             else:
                 self.disk_guid = uuid.uuid4()
 
-            # Backport compatibility for Debian Buster and Ubuntu Focal
+            # Backport compatibility for Ubuntu Focal
             if not self._sfdisk_supports_disk_id():
                 logger.warn("Disk identifier can't be set, reproducibility is broken!")
                 return
diff --git a/testsuite/cibuilder.py b/testsuite/cibuilder.py
index 35af3d9c..e37514a3 100755
--- a/testsuite/cibuilder.py
+++ b/testsuite/cibuilder.py
@@ -483,7 +483,7 @@ class CIBuilder(Test):
     def vm_turn_on(
         self,
         arch='amd64',
-        distro='buster',
+        distro='bookworm',
         image='isar-image-base',
         enforce_pcbios=False,
     ):
@@ -603,7 +603,7 @@ class CIBuilder(Test):
     def vm_start(
         self,
         arch='amd64',
-        distro='buster',
+        distro='bookworm',
         enforce_pcbios=False,
         skip_modulecheck=False,
         image='isar-image-base',
diff --git a/testsuite/citest.py b/testsuite/citest.py
index 4e1634b7..bc0e63e1 100755
--- a/testsuite/citest.py
+++ b/testsuite/citest.py
@@ -132,7 +132,6 @@ class CrossTest(CIBaseTest):
 
     def test_cross(self):
         targets = [
-            'mc:qemuarm-buster:isar-image-ci',
             'mc:qemuarm-bullseye:isar-image-ci',
             'mc:de0-nano-soc-bullseye:isar-image-base',
             'mc:stm32mp15x-bullseye:isar-image-base',
@@ -201,12 +200,9 @@ class NoCrossTest(CIBaseTest):
 
     def test_nocross(self):
         targets = [
-            'mc:qemuarm-buster:isar-image-ci',
             'mc:qemuarm-bullseye:isar-image-base',
             'mc:qemuarm64-bullseye:isar-image-ci',
-            'mc:qemui386-buster:isar-image-base',
             'mc:qemui386-bullseye:isar-image-base',
-            'mc:qemuamd64-buster:isar-image-ci',
             'mc:qemuamd64-bullseye:isar-initramfs',
             'mc:qemumipsel-bullseye:isar-image-base',
             'mc:imx6-sabrelite-bullseye:isar-image-base',
@@ -290,7 +286,6 @@ class ContainerImageTest(CIBaseTest):
     @skipUnless(UMOCI_AVAILABLE and SKOPEO_AVAILABLE, 'umoci/skopeo not found')
     def test_container_image(self):
         targets = [
-            'mc:container-amd64-buster:isar-image-base',
             'mc:container-amd64-bullseye:isar-image-base',
             'mc:container-amd64-bookworm:isar-image-base',
         ]
@@ -436,29 +431,6 @@ class VmBootTestFast(CIBaseTest):
             script='test_systemd_unit.sh getty.target 10',
         )
 
-    def test_arm_buster(self):
-        self.init()
-        self.vm_start('arm', 'buster', image='isar-image-ci', keep=True)
-
-    def test_arm_buster_getty_target(self):
-        self.init()
-        self.vm_start(
-            'arm',
-            'buster',
-            image='isar-image-ci',
-            cmd='systemctl is-active getty.target',
-            keep=True,
-        )
-
-    def test_arm_buster_example_module(self):
-        self.init()
-        self.vm_start(
-            'arm',
-            'buster',
-            image='isar-image-ci',
-            script='test_kernel_module.sh example_module',
-        )
-
     def test_arm_bookworm(self):
         self.init()
         self.vm_start('arm', 'bookworm', image='isar-image-ci', keep=True)
@@ -495,29 +467,6 @@ class VmBootTestFull(CIBaseTest):
         self.init()
         self.vm_start('arm', 'bullseye')
 
-    def test_arm_buster(self):
-        self.init()
-        self.vm_start('arm', 'buster', image='isar-image-ci', keep=True)
-
-    def test_arm_buster_example_module(self):
-        self.init()
-        self.vm_start(
-            'arm',
-            'buster',
-            image='isar-image-ci',
-            cmd='lsmod | grep example_module',
-            keep=True,
-        )
-
-    def test_arm_buster_getty_target(self):
-        self.init()
-        self.vm_start(
-            'arm',
-            'buster',
-            image='isar-image-ci',
-            script='test_systemd_unit.sh getty.target 10',
-        )
-
     def test_arm64_bullseye(self):
         self.init()
         self.vm_start('arm64', 'bullseye', image='isar-image-ci', keep=True)
@@ -541,17 +490,6 @@ class VmBootTestFull(CIBaseTest):
             script='test_kernel_module.sh example_module',
         )
 
-    def test_i386_buster(self):
-        self.init()
-        self.vm_start('i386', 'buster')
-
-    def test_amd64_buster(self):
-        self.init()
-        # test efi boot
-        self.vm_start('amd64', 'buster', image='isar-image-ci')
-        # test pcbios boot
-        self.vm_start('amd64', 'buster', True, image='isar-image-ci')
-
     def test_amd64_focal(self):
         self.init()
         self.vm_start('amd64', 'focal', image='isar-image-ci', keep=True)
diff --git a/testsuite/start_vm.py b/testsuite/start_vm.py
index 2c986344..d169f235 100755
--- a/testsuite/start_vm.py
+++ b/testsuite/start_vm.py
@@ -150,7 +150,6 @@ def parse_args():
     parser = argparse.ArgumentParser()
     arch_names = ['arm', 'arm64', 'amd64', 'amd64-sb', 'i386', 'mipsel']
     distro_names = [
-        'buster',
         'bullseye',
         'bookworm',
         'trixie',